document.addEventListener("DOMContentLoaded", function() {

  /*
   * Wow.js declaration
   */
  new WOW({
    boxClass:'kw-wow',
  }).init();

  /*
   * Skrollr.js elements
   */
  if ((matchMedia("(min-width: 1000px)").matches) && $(".kw-body").hasClass('kw-home')) {
    var skrollrInit = skrollr.init();
  }


  /*
   * Slick sliders
   */
  var sliderContainer = document.querySelector(".kw-card-list__wrapper"),
	    smallScreenSettings = {slidesToShow: 1, slidesToScroll: 1};

  // This function 're-slick' on resize. Does not exist in native slick plugin.
  function responsiveSlick() {

    // Check if slider is initialized.
    if (sliderContainer) {
    	var sliderInitialized = sliderContainer.classList.contains("slick-initialized");

      if (matchMedia("(max-width: 749px)").matches) {

        if (!sliderInitialized) {
          // If it is not initialized, then we create a new slick instance.
          $(sliderContainer).slick(smallScreenSettings);
        };
      
      } else /* If width > 600px */ {
      	
        if (sliderInitialized) {
          $(sliderContainer).slick("unslick");
        };
      };
    };
  }

  responsiveSlick();
  window.addEventListener('resize', responsiveSlick, false);


  /*
   * Form
   */

  function getjs(param) {
    var vars = {};
    window.location.href.replace( location.hash, '' ).replace( 
      /[?&]+([^=&]+)=?([^&]*)?/gi, // regexp
      function( m, key, value ) { // callback
        vars[key] = value !== undefined ? value : '';
      }
    );
    if ( param ) {
      return vars[param] ? encodeURIComponent(vars[param]) : null;  
    }
    return vars;
  }
  
  var status = getjs('status');
  if ( status == 'formerror'){
    $(".kw-form__result-1").addClass('is-active');
  };
  if ( status == 'alreadyparticipated'){  
    $(".kw-form__result-2").addClass('is-active');
  };
  if ( status == 'error'){
    $(".kw-form__result-3").addClass('is-active');
  };


  /*
   * Quizz : image slides
   */

  var imageContainer = $(".kw-quizz__image"),
      answerItem = $(".kw-quizz__answer");


  $(answerItem).hover(function() {
    var answer1 = $(this).hasClass('kw-quizz__answer-1'),
        answer2 = $(this).hasClass('kw-quizz__answer-2'),
        answer3 = $(this).hasClass('kw-quizz__answer-3');

    if (answer1) {
      imageContainer.removeClass();
      imageContainer.addClass('kw-quizz__image kw-quizz__image-1');
    } else if (answer2) {
      imageContainer.removeClass();
      imageContainer.addClass('kw-quizz__image kw-quizz__image-2');
    } else {
      imageContainer.removeClass();
      imageContainer.addClass('kw-quizz__image kw-quizz__image-3')
    };
  }, function() {
    var answer1 = $(".kw-quizz__answer-1 .kw-quizz__input").is(':checked'),
        answer2 = $(".kw-quizz__answer-2 .kw-quizz__input").is(':checked'),
        answer3 = $(".kw-quizz__answer-3 .kw-quizz__input").is(':checked');

    if (answer1) {
      imageContainer.removeClass();
      imageContainer.addClass('kw-quizz__image kw-quizz__image-1');
    } else if (answer2) {
      imageContainer.removeClass();
      imageContainer.addClass('kw-quizz__image kw-quizz__image-2');
    } else if (answer3) {
      imageContainer.removeClass();
      imageContainer.addClass('kw-quizz__image kw-quizz__image-3')
    };
  });


  /*
   * Quizz : validate action
   */

  var validationButton = $(".kw-quizz__button-valid");

  $(validationButton).click(function() {
   
    var parentForm = $(this).parents(".kw-quizz"),
        answerList = $(parentForm).find(".kw-quizz__input"),
        thisNextButton = $(parentForm).find(".kw-quizz__button-next");

    $(this).addClass('is-hidden');
    $(thisNextButton).addClass('is-active')

    $(answerList).each(function() {
      var goodAnswer = $(this).data("answer") === true,
          parentWrapper = $(this).parent(".kw-quizz__answer");
      if (goodAnswer) {
        $(parentWrapper).addClass('kw-quizz__answer-valid')
      } else {
        $(parentWrapper).addClass('kw-quizz__answer-wrong')
      };
    });
    
  });


  /*
   * Quizz : next question
   */

  var nextButton = $(".kw-quizz__button-next");

  $(nextButton).click(function(e) {
    var quizz1 = $(".kw-quizz--1"),
        quizz2 = $(".kw-quizz--2"),
        quizz3 = $(".kw-quizz--3"),
        quizzEnd = $(".kw-quizz--end"),
        quizz1IsActive = $(quizz1).hasClass('is-active'),
        quizz2IsActive = $(".kw-quizz--2").hasClass('is-active'),
        quizz3IsActive = $(".kw-quizz--3").hasClass('is-active');

    if (quizz1IsActive) {
      $(quizz1).removeClass('is-active');
      $(quizz2).addClass('is-active');
    } else if (quizz2IsActive) {
      $(quizz2).removeClass('is-active');
      $(quizz3).addClass('is-active');
    } else {
      $(quizz3).removeClass('is-active');
      $(quizzEnd).addClass('is-active');
    };

  });


});